none
.Net Framework all fouled up! RRS feed

  • Question

  • I am a newbie at this!  I am currently running MCE 2005 and just did clean update and I having difficulty trying to install the most current Net Framework programs.  I currently have .Net Framework 1.0, .Net Framework 2.0, Sp 2, .Net Framework 3.0, SP2, and .Net Framework 3.5SP1 installed on my computer.  Windows Update tries to install .Net Framework 1.1 SP1 and SP 3 for version 1, but it fails each time.  I have tried to install .Net Framework 2.0 setup, but I get the following error message-"Setup cannot continue this version of .Net Framework is incompatiable with a previously installed version.

    I tried to uninstall .Net Framework 2.0 service pack, however it failed because it needed the files.  As you can see I have made a royal mess and would like some patient assistance to input the Proper .Net Framework network.

    My computer has MCE 2005 installed, will not accept Update 2 because it needs .Net Framework 1.1 Sp 1, and KB930494 (SP 3 for ver 1) to complete the installation.  I also have MCE Service Pack 2, SP 3) will not complete install.  It goes to about to 70% and then cancels install.
    Tuesday, March 17, 2009 4:42 PM

Answers

  • Hi there,

    .Net stuff will not be easy to sort out in your current condition.  (Somebody might have a silver bullet)  If it were me, you'd save time by starting back with a bare metal install.

    After the clean MCE 2005 install, let windows update completely including .Net installs.  .Net 1 and 1.1 should all come automatically and update.  AFTER all of that is complete and running smoothly you can install .Net 2.0 and get all updates... then .Net 3 and get all updates then 3.5 and get updates.

    After each install go to Windows update site to get the updates before going onto the next .Net install.

    In my opinion you'll save time doing that.  Otherwise I'm not sure what to do.

    Sorry this wasn't a "click on this and that" type of solution :)


    Ryan
    • Marked as answer by YiChun Chen Tuesday, March 24, 2009 1:38 AM
    Tuesday, March 17, 2009 4:55 PM
  • Hi ALBIG,

    I agree with Ryan. I also suggest you to start from scratch.

    You can use .NET Framework cleanup tool to remove the .NET Framework. Then try installing .NET Framework by the way that Ryan mentioned.

    If you still have any concern, please feel free to let me know.

    Thanks
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    • Marked as answer by YiChun Chen Tuesday, March 24, 2009 1:38 AM
    Thursday, March 19, 2009 9:41 AM

All replies

  • Hi there,

    .Net stuff will not be easy to sort out in your current condition.  (Somebody might have a silver bullet)  If it were me, you'd save time by starting back with a bare metal install.

    After the clean MCE 2005 install, let windows update completely including .Net installs.  .Net 1 and 1.1 should all come automatically and update.  AFTER all of that is complete and running smoothly you can install .Net 2.0 and get all updates... then .Net 3 and get all updates then 3.5 and get updates.

    After each install go to Windows update site to get the updates before going onto the next .Net install.

    In my opinion you'll save time doing that.  Otherwise I'm not sure what to do.

    Sorry this wasn't a "click on this and that" type of solution :)


    Ryan
    • Marked as answer by YiChun Chen Tuesday, March 24, 2009 1:38 AM
    Tuesday, March 17, 2009 4:55 PM
  • Hi ALBIG,

    I agree with Ryan. I also suggest you to start from scratch.

    You can use .NET Framework cleanup tool to remove the .NET Framework. Then try installing .NET Framework by the way that Ryan mentioned.

    If you still have any concern, please feel free to let me know.

    Thanks
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    • Marked as answer by YiChun Chen Tuesday, March 24, 2009 1:38 AM
    Thursday, March 19, 2009 9:41 AM